Name:           perl-File-Remove
Version:        1.58
Release:        2
Summary:        Perl Remove files and directories Module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Remove
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/File-Remove-%{version}.tar.gz
  
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildRequires:  perl make
BuildRequires:  perl-generators perl(constant) perl(Cwd) >= 3.29 perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy) perl(File::Glob) perl(File::Path)
BuildRequires:  perl(File::Spec) >= 3.29 perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp) perl(IO::Handle) perl(IPC::Open3) perl(strict)
BuildRequires:  perl(Test::More) >= 0.42 perl(vars) perl(warnings)
BuildArch:      noarch
%description
The Perl Module for removing files and directories.


%package_help

%prep
%autosetup -p1 -n File-Remove-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR="$RPM_BUILD_ROOT"
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc LICENSE
%{perl_vendorlib}/File

%files help
%{_mandir}/man3/*
%doc Changes README

%changelog
* Wed Jan  8 2020 Shuaishuai Song <songshuaishuai2@huawei.com> - 1.58-2
- package init
